API reference OpenAPI 3.1
POST /auth/refresh

Refresh

Bearer API key or staff session application/json operation refresh

Request

Content type: application/json · required

FieldTypeRequiredDescription
refresh_token string Yes —
curl -X POST "$MONICHEK_API/auth/refresh" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "refresh_token": "<token>"
}'
const res = await fetch(`${MONICHEK_API}/auth/refresh`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "refresh_token": "<token>"
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/auth/refresh",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "refresh_token": "<token>"
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/auth/refresh');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'refresh_token' => '<token>',
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK rotated application/json

No response example is published for this status.

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.